package com.netsdk;

import com.netsdk.lib.NetSDKLib;
import com.netsdk.lib.callback.impl.DefaultDisconnectCallback;
import com.netsdk.lib.callback.impl.DefaultHaveReconnectCallBack;
import com.netsdk.module.BaseModule;
import com.netsdk.module.LoginModule;
import com.netsdk.module.ThermalCameraModule;
import com.netsdk.module.entity.DeviceInfo;

/**
 * @author 47081
 * @version 1.0
 * @description
 * @date 2021/3/17
 */
public class SDKTest {
  public static void main(String[] args) {
      LoginModule.init(null,null);
      LoginModule.login("192.168.1.221",37777,"admin","admin123");
      NetSDKLib.NET_RADIOMETRYINFO data = ThermalCameraModule.queryItemTemper(0, 0,1, 3);
      LoginModule.logout();
      LoginModule.cleanup();


  }
}
